Package org.apache.sysds.lops

## Class AppendM

- java.lang.Object
- - org.apache.sysds.lops.Lop
  - - org.apache.sysds.lops.AppendM

-     public class AppendM
      extends Lop

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `AppendM.CacheType` |

    - ### Nested classes/interfaces inherited from class org.apache.sysds.lops.Lop

      `Lop.SimpleInstType, Lop.Type, Lop.VisitStatus`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `OPCODE` |

    - ### Fields inherited from class org.apache.sysds.lops.Lop

      `_beginColumn, _beginLine, _endColumn, _endLine, _filename, CP_CHILD_THREAD, CP_ROOT_THREAD_ID, DATATYPE_PREFIX, FILE_SEPARATOR, FRAME_VAR_NAME_PREFIX, INSTRUCTION_DELIMITOR, LITERAL_PREFIX, MATRIX_VAR_NAME_PREFIX, NAME_VALUE_SEPARATOR, OPERAND_DELIMITOR, PROCESS_PREFIX, SAMPLE_FRACTION, SCALAR_VAR_NAME_PREFIX, UPDATE_INPLACE_PREFIX, VALUETYPE_PREFIX, VARIABLE_NAME_PLACEHOLDER`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AppendM​(Lop input1, Lop input2, Lop input3, Types.DataType dt, Types.ValueType vt, boolean cbind, boolean partitioned, Types.ExecType et)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Lop` | `getBroadcastInput()` | Method to get the input to be broadcast.
    `String` | `getInstructions​(String input1, String input2, String input3, String output)` | Method should be overridden if needed
    `void` | `init​(Lop input1, Lop input2, Lop input3, Types.DataType dt, Types.ValueType vt, Types.ExecType et)` |
    `String` | `toString()` | Method to have Lops print their state.

    - ### Methods inherited from class org.apache.sysds.lops.Lop

      `activatePrefetch, addInput, addOutput, addToDag, createReachable, getAggType, getBeginColumn, getBeginLine, getDataType, getEndColumn, getEndLine, getExecType, getFederatedOutput, getFilename, getID, getInputs, getInstructions, getInstructions, getInstructions, getInstructions, getInstructions, getInstructions, getInstructions, getInstructions, getInstructions, getInstructions, getInstructions, getLevel, getOutputParameters, getOutputs, getPrivacyConstraint, getProducesIntermediateOutput, getReachable, getSimpleInstructionType, getType, getValueType, getVisited, isAllOutputsCP, isDataExecLocation, isVariable, prefetchActivated, prepInputOperand, prepInputOperand, prepOperand, prepOperand, prepOutputOperand, prepOutputOperand, prepOutputOperand, prepScalarInputOperand, prepScalarInputOperand, prepScalarLabel, prepScalarOperand, printErrorLocation, removeConsumer, removeOutput, replaceInput, resetVisitStatus, setAllPositions, setBeginColumn, setBeginLine, setConsumerCount, setDataType, setEndColumn, setEndLine, setExecType, setFederatedOutput, setFilename, setPrivacyConstraint, setValueType, setVisited`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### OPCODE

          public static final String OPCODE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AppendM

          public AppendM​(Lop input1,
                         Lop input2,
                         Lop input3,
                         Types.DataType dt,
                         Types.ValueType vt,
                         boolean cbind,
                         boolean partitioned,
                         Types.ExecType et)

  - ### Method Detail

    - #### init

          public void init​(Lop input1,
                           Lop input2,
                           Lop input3,
                           Types.DataType dt,
                           Types.ValueType vt,
                           Types.ExecType et)

    - #### getBroadcastInput

          public Lop getBroadcastInput()

      Description copied from class: `Lop`
      Method to get the input to be broadcast. This method is overridden by the Lops which require broadcasts (e.g. AppendM)
      Overrides:
        `getBroadcastInput` in class `Lop`
      Returns:
        An input Lop or Null

    - #### toString

          public String toString()

      Description copied from class: `Lop`
      Method to have Lops print their state. This is for debugging purposes.
      Specified by:
        `toString` in class `Lop`

    - #### getInstructions

          public String getInstructions​(String input1,
                                        String input2,
                                        String input3,
                                        String output)

      Description copied from class: `Lop`
      Method should be overridden if needed
      Overrides:
        `getInstructions` in class `Lop`
      Parameters:
        `input1` - input 1
        `input2` - input 2
        `input3` - input 3
        `output` - output
      Returns:
        instructions as string